<?php

defined( 'ABSPATH' ) OR exit;

/**
 * Plugin Name: Support
 * Plugin URI: http://qstudio.us
 * Description: WordPress Support helps site admins, developers and owners to solve technical issues and configuration problems with themes, widgets & plugins.
 * Version: 0.1
 * Author: Q Studio
 * Author URI: http://qstudio.us
 * License: GPL2
 */

if ( ! class_exists( 'Q_Support' ) ) :

    class Q_Support {

        const version = '0.1';

        static function init() {

            if ( !is_admin() ) // this is an "admin-only" plugin ##
                return;
            
            // add scripts ##
            add_action( 'admin_enqueue_scripts', array( __CLASS__, 'add_scripts' ) );

        }

        static function add_scripts() {

            wp_enqueue_script( 'q-support-js',  self::get_url( 'support.js' ), array( 'jquery' ), self::version, true );

        }
        
        static function get_url( $path = '' ) {
            return plugins_url( ltrim( $path, '/' ), __FILE__ );
	}

    }

    // let's play! ##
    Q_Support::init();

 // class_exists check ##
endif;
